Subject: Re: [PATCH 2/7] Powerpc MSI implementation

From: Greg KH <[email-masked]>
Date: Fri, 12 Jan 2007 15:13:17 -0800

On Fri, Jan 12, 2007 at 08:54:57AM +1100, Benjamin Herrenschmidt wrote:
> On Fri, 2007-01-12 at 08:20 +1100, Benjamin Herrenschmidt wrote:
> > > So, no, I don't agree with this implementation and don't want to see it
> > > go through anyone's tree into mainline just yet.
> > 
> > So why, when we posted it earlier, you said the exact opposite ? That
> > you actually liked it and wanted to see it as a replacement of the
> > current cruft ?
> > 
> > That's been the logic from day one. We implement a generic MSI support
> > that supports multiple backends, we do it as a powerpc version at first
> > since that's what we can actively test and provide backends for, then as
> > a second step, we work with the intel folks to port their stuff over to
> > our implementation and replace the current crappy generic one.
> 
> /me calms down a bit ... :-)
> 
> Ok, so what about we do:
> 
>  - Move that new implementation to drivers/pci
>  - Have a CONFIG_NEW_MSI or something like that to select between
> the old and the new implementation
>  - Have the change to pci_dev be based on that config option

No, what's wrong with just fixing everything up to work properly all at
once?  The Altix code should have been a step forward in making this
"abstracted" into something that other arches could use.  If that's not
true, then please work everything so that it all works nicely together.

In short, I don't want to see two different implementations in the tree
at the same time, that's not acceptable, sorry.

thanks,

greg k-h